package com.supervision.knowsub.enums;

/**
 * 1草稿 2通过 3驳回 4已撤回 5已失效 6已删除 10待审批(新增) 11待审批(删除) 12待审批(撤回)
 *
 *
 */
public enum StatusEnum {

    DRAFT(1, "草稿"),
    PASS(2, "通过"),
    REJECT(3, "驳回"),
    RECALL(4, "已撤回"),
    INVALID(5, "已失效"),
    DELETE(6, "已删除"),
    WAIT_APPROVAL(10, "待审批(新增)"),
    WAIT_APPROVAL_DELETE(11, "待审批(删除)"),
    WAIT_APPROVAL_RECALL(12, "待审批(撤回)");


    private final Integer status;

    private final String desc;

    StatusEnum(Integer status, String desc) {
        this.status = status;
        this.desc = desc;
    }

    public Integer getStatus() {
        return status;
    }

    public String getDesc() {
        return desc;
    }
}
