package com.supervision.knowsub.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.supervision.knowsub.exception.BusinessException;
import com.supervision.knowsub.mapper.KnowledgeFlowRecordMapper;
import com.supervision.knowsub.model.KnowledgeFlowRecord;
import com.supervision.knowsub.service.KnowledgeFlowRecordService;
import com.supervision.knowsub.service.KnowledgeFlowService;
import com.supervision.knowsub.vo.knowledge.KnowledgeFlowResVO;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.time.Instant;
import java.time.LocalDateTime;

@Slf4j
@Service
@RequiredArgsConstructor
public class KnowledgeFlowServiceImpl implements KnowledgeFlowService {

    private final KnowledgeFlowRecordService knowledgeFlowRecordService;

    @Override
    public IPage<KnowledgeFlowResVO> queryKnowledgeFlowPage(Integer processStatus, String title, String publishDeptId, String baseId,
                                                            String submittedDeptId, Instant flowType,
                                                            LocalDateTime publishDateBegin, LocalDateTime publishDateEnd,
                                                            Integer pageNum, Integer pageSize) {
        // 查询待办
        if (1 == processStatus) {
            return knowledgeFlowRecordService.queryKnowledgeFlowTodoPage(title, publishDeptId, baseId, submittedDeptId, flowType,
                    publishDateBegin, publishDateEnd, new Page<>(pageNum, pageSize));
        }
        // 查询已办
        if (2 == processStatus) {
            return knowledgeFlowRecordService.queryKnowledgeFlowCompletePage(title, publishDeptId, baseId, submittedDeptId, flowType,
                    publishDateBegin, publishDateEnd, new Page<>(pageNum, pageSize));
        }
        throw new BusinessException("不支持的状态类型");
    }
}
