package com.supervision.knowsub.util;

import cn.hutool.core.util.ObjectUtil;
import cn.hutool.json.JSONUtil;
import com.supervision.knowsub.config.ThreadCache;
import com.supervision.knowsub.domain.UserInfo;
import com.supervision.knowsub.exception.BusinessException;
import lombok.Data;

public class UserUtil {

    public static UserInfo getUser(){
        String userStr = ThreadCache.USER.get();
        UserInfo bean = JSONUtil.toBean(userStr, UserInfo.class);
        if (ObjectUtil.isEmpty(bean)){
            throw new BusinessException("未获取到用户信息");
        }
        return bean;
    }

    public static String getUserToken(){
        return ThreadCache.USER.get();
    }

    public static boolean checkUserPassword(String password,String userPd){
        return SM2Util.verify(password,userPd);
    }

}
