package com.supervision.knowsub.model;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 知识内容
 * @TableName ks_knowledge_context
 */
@TableName(value ="ks_knowledge_context")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class KnowledgeContext extends Model<KnowledgeContext> implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 内容 html的文本
     */
    private String context;

    /**
     * 创建人ID
     */
    @TableField(fill = FieldFill.INSERT)
    private String createUserId;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 更新人
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateUserId;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}