package com.supervision.knowsub.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 流程审批待办表
 * @TableName ks_knowledge_flow_todo
 */
@TableName(value ="ks_knowledge_flow_todo")
@Data
public class KnowledgeFlowTodo implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 流程ID
     */
    private String flowId;

    /**
     * 审批类型 1知识报送 2:知识撤回 3 知识删除
     */
    private Integer flowType;

    /**
     * 知识ID
     */
    private String knowledgeId;

    /**
     * 节点ID
     */
    private String ruleId;

    /**
     * 代办人ID
     */
    private String todoUserId;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人ID
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}