package com.supervision.knowsub.model;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.util.Date;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * 知识基本信息表
 *
 * @TableName ks_knowledge_base_info
 */
@TableName(value = "ks_knowledge_info")
@Data
public class KnowledgeInfo implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    @Schema(description = "知识ID")
    private String knowledgeId;

    /**
     * 内容ID
     */
    @Schema(description = "内容ID")
    private String contextId;

    /**
     * 封面ID
     */
    @Schema(description = "封面ID 暂时没规划")
    private String coverId;

    /**
     * 来源 1人工添加 2系统导入
     */
    @Schema(description = "来源 1人工添加(默认) 2系统导入")
    private String source;

    /**
     * 所属地域
     */
    @Schema(description = "所属地域")
    private String territory;

    /**
     * 发布时间
     */
    @Schema(description = "发布时间")
    private Date publishDate;

    /**
     * 时效性 1长期有效 2临时有效
     */
    @Schema(description = "时效性 1长期有效 2临时有效")
    private Integer timeliness;

    /**
     * 到期自动失效 1到期自动失效
     */
    @Schema(description = "到期自动失效 1到期自动失效")
    private Integer autoLoseEffect;

    /**
     * 执行期限开始
     */
    @Schema(description = "执行期限开始")
    private Date execTimeBegin;

    /**
     * 执行期限结束
     */
    @Schema(description = "执行期限结束")
    private Date execTimeEnd;

    /**
     * 知识标签,直接输入内容,暂时用;分割
     */
    @Schema(description = "知识标签,直接输入内容,暂时用;分割")
    private String knowledgeTag;

    /**
     * 政策类型
     */
    @Schema(description = "政策类型")
    private String policyType;

    /**
     * 公开范围 1公开 2不公开
     */
    @Schema(description = "公开范围 1公开 2不公开")
    private Integer publishScope;

    /**
     * 创建人ID
     */
    @TableField(fill = FieldFill.INSERT)
    private String createUserId;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /**
     * 更新人
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String updateUserId;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}