package com.supervision.knowsub.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.supervision.knowsub.model.KnowledgeFlowRecord;
import com.baomidou.mybatisplus.extension.service.IService;
import com.supervision.knowsub.vo.knowledge.KnowledgeFlowResVO;

import java.time.Instant;
import java.time.LocalDateTime;

/**
* @author Administrator
* @description 针对表【ks_knowledge_flow_record(知识报送审批记录表)】的数据库操作Service
* @createDate 2024-06-24 11:35:15
*/
public interface KnowledgeFlowRecordService extends IService<KnowledgeFlowRecord> {

    /**
     * 查询待办
     */
    IPage<KnowledgeFlowResVO> queryKnowledgeFlowTodoPage(String title, String publishDeptId, String baseId,
                                                     String submittedDeptId, Instant flowType,
                                                     LocalDateTime publishDateBegin, LocalDateTime publishDateEnd,
                                                     Page<KnowledgeFlowResVO> page);

    /**
     * 查询已办
     */
    IPage<KnowledgeFlowResVO> queryKnowledgeFlowCompletePage(String title, String publishDeptId, String baseId,
                                                         String submittedDeptId, Instant flowType,
                                                         LocalDateTime publishDateBegin, LocalDateTime publishDateEnd,
                                                         Page<KnowledgeFlowResVO> page);

}
